Package org.gradle.plugins.ide.idea.model

# Interface Dependency

All Known Implementing Classes:
  `ModuleDependency`, `ModuleLibrary`, `SingleEntryModuleLibrary`

public interface Dependency
Represents a dependency of an IDEA module.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addToNode(Node parentNode)`
  `String`
  `getScope()`
  The scope of this library.
  `void`
  `setScope(String scope)`
  The scope of this library.

- ## Method Details

  - ### getScope

    String getScope()
    The scope of this library. If `null`, the scope attribute is not added.
    Since:
      4.5

  - ### setScope

    void setScope(String scope)
    The scope of this library. If `null`, the scope attribute is not added.
    Since:
      4.5

  - ### addToNode

    void addToNode(Node parentNode)